Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.forms.binding
Class JavaScriptJXPathBinding

    java.lang.Object
      org.apache.cocoon.util.AbstractLogEnabled
          org.apache.cocoon.forms.binding.JXPathBindingBase
              org.apache.cocoon.forms.binding.JavaScriptJXPathBinding

All Implemented Interfaces:
  Binding

public class JavaScriptJXPathBinding
extends JXPathBindingBase

Version:
  $Id: JavaScriptJXPathBinding.java 640682 2008-03-25 03:23:17Z vgritsenko $

Field Summary

Fields inherited from class org.apache.cocoon.forms.binding.JXPathBindingBase
`classes, parent`

Constructor Summary
`JavaScriptJXPathBinding(org.apache.cocoon.processing.ProcessInfoProvider processInfoProvider, JXPathBindingBuilderBase.CommonAttributes commonAtts, String id, String path, org.mozilla.javascript.Function loadScript, org.mozilla.javascript.Function saveScript, Map childBindings)`

Method Summary
`void` | `doLoad(Widget frmModel, org.apache.commons.jxpath.JXPathContext jctx)` Performs the actual load binding regardless of the configured value of the "direction" attribute.
`void` | `doSave(Widget frmModel, org.apache.commons.jxpath.JXPathContext jctx)` Performs the actual save binding regardless of the configured value of the "direction" attribute.
`Map` | `getChildBindingsMap()`
`String` | `getId()` Returns binding definition id.
`org.mozilla.javascript.Function` | `getLoadScript()`
`String` | `getPath()`
`org.mozilla.javascript.Function` | `getSaveScript()`

Methods inherited from class org.apache.cocoon.forms.binding.JXPathBindingBase
`getClass, getCommonAtts, getEnclosingLibrary, getLocation, isValid, loadFormFromModel, loadFormFromModel, saveFormToModel, saveFormToModel, selectWidget, setEnclosingLibrary, setParent`

Methods inherited from class org.apache.cocoon.util.AbstractLogEnabled
`getLogger, setLogger`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JavaScriptJXPathBinding

    public JavaScriptJXPathBinding(org.apache.cocoon.processing.ProcessInfoProvider processInfoProvider,
                                   JXPathBindingBuilderBase.CommonAttributes commonAtts,
                                   String id,
                                   String path,
                                   org.mozilla.javascript.Function loadScript,
                                   org.mozilla.javascript.Function saveScript,
                                   Map childBindings)

Method Detail

### getPath

    public String getPath()

### getId

    public String getId()

  Description copied from class: `JXPathBindingBase`
  Returns binding definition id.

  Specified by:
    `getId` in interface `Binding`
  Overrides:
    `getId` in class `JXPathBindingBase`

### getLoadScript

    public org.mozilla.javascript.Function getLoadScript()

### getSaveScript

    public org.mozilla.javascript.Function getSaveScript()

### getChildBindingsMap

    public Map getChildBindingsMap()

### doLoad

    public void doLoad(Widget frmModel,
                       org.apache.commons.jxpath.JXPathContext jctx)

  Description copied from class: `JXPathBindingBase`
  Performs the actual load binding regardless of the configured value of the "direction" attribute. Abstract method that subclasses need to implement for specific activity.

  Specified by:
    `doLoad` in class `JXPathBindingBase`

### doSave

    public void doSave(Widget frmModel,
                       org.apache.commons.jxpath.JXPathContext jctx)
                throws BindingException

  Description copied from class: `JXPathBindingBase`
  Performs the actual save binding regardless of the configured value of the "direction" attribute. Abstract method that subclasses need to implement for specific activity.

  Specified by:
    `doSave` in class `JXPathBindingBase`
  Throws:
    `BindingException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2008 The Apache Software Foundation. All Rights Reserved.